From d71eb54c139b5dd576efe778751dda5c94a399f8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 30 2020 04:31:26 +0000
Subject: [PATCH 207/2232] No longer need to iterate Namespace by value


---

diff --git a/gen/namespace.rs b/gen/namespace.rs
index c644352..557e331 100644
--- a/gen/namespace.rs
+++ b/gen/namespace.rs
@@ -1,6 +1,5 @@
 use std::fmt::{self, Display};
 use std::slice::Iter;
-use std::vec::IntoIter;
 
 #[derive(Clone)]
 pub struct Namespace {
@@ -34,11 +33,3 @@ impl<'a> IntoIterator for &'a Namespace {
         self.iter()
     }
 }
-
-impl IntoIterator for Namespace {
-    type Item = String;
-    type IntoIter = IntoIter<String>;
-    fn into_iter(self) -> Self::IntoIter {
-        self.segments.into_iter()
-    }
-}

